FREEDOM. FRIENDS. FEATURES. FIRST.
페도라 한국 사용자 모임

[TIP]xbmc 컴파일시 -lgpg-error 라이브러리 에러 대처 방법

게시판 Tech/Tip [TIP]xbmc 컴파일시 -lgpg-error 라이브러리 에러 대처 방법

  • This topic has 0개 답변, 1명 참여, and was last updated 6 years, 10 months 전에 by 난해주님. This post has been viewed 20 times
  • 만든이
    게시글
  • #12227
    난해주님
    참가자
    • 게시글114
    • 댓글337
    • 총합451
    • ★★
    @workman729

    xbmc gotham beta 2가 런칭 되어 새로 컴파일 중 입니다.

    xbmc 컴파일 시 위의 -lgpg-error 참조 에러는 다름이 아니라 libmysqlclient-devel의 보안 업데이트로 libmysqlclient.so 심볼릭 링크가 사라진 결과로 단순한 linking 에러에 불과 합니다.

    libmysqlclient-devel 패키지가 5.5.33-8.1 버전을 사용 하시는 분 께서는
    아래와 같이 심볼릭을 생성해 주시면 이상 없이 컴파일 가능 합니다.

    # sudo ln -s /usr/lib64/libmysqlclient.so.18.0.0 /usr/lib64/libmysqlclient.so (32bit는 알아서...^^)

    참조 하시기 바랍니다. 소스 본다고 눈 빠지는 줄 알았습니다.

  • 답변은 로그인 후 가능합니다.